require 'json_api_client'

module Icalia
  module Artanis
    class ResourceQueryBuilder < JsonApiClient::Query::Builder
      def limit(value)
        @pagination_params[:limit] = value
        self
      end

      def offset(value)
        @pagination_params[:offset] = value
        self
      end
    end
  end
end
