module Icalia
  module Artanis
    class AccessToken < Resource
      def self.find(*args)
        a = super
        a.first if a.any?
      end

      def self.find_by(attributes = {})
        raise "No attributes" unless attributes.any?
        a = where(attributes).limit(1).to_a
        return nil unless a.any?
        a.first
      end
    end
  end
end
