require 'json_api_client'

module Icalia
  module Artanis
    class Resource < JsonApiClient::Resource
      # set the api base url in an abstract base class
      self.site = ENV.fetch 'ARTANIS_URL', 'https://artanis.icalialabs.com'

      self.connection_class = HttpConnection
      self.query_builder = ResourceQueryBuilder
      self.json_key_format = :dasherized_key
      self.route_format = :dasherized_route
    end
  end
end
